<copyright> gtomk StatusBar class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: StatusBar.t,v 1.3 1998/04/04 00:29:14 tiggr Exp $</id>
    </copyright>

<gtk_version>0.99.9</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkStatusBar: GtkHBox

instance (id)
  new
{
  pointer p;
<c>
  p = gtk_statusbar_new ();
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkStatusBar

<doc> Return the {gtkStatusBar} for which this object stands.  </doc>
pointer
  gtkStatusBar
{
  = object;
}

int (context_id)
  get_context_id String text
{
  pointer obj = object;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, text);
    context_id = gtk_statusbar_get_context_id (obj, s);
  }
</c>
}

int (message_id)
  push (int, String) (context_id, text)
{
  pointer obj = object;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, text);
    message_id = gtk_statusbar_push (obj, context_id, s);
  }
</c>
}

void
  pop int context_id
{
  pointer obj = object;
<c>
  gtk_statusbar_pop (obj, context_id);
</c>
}

void
  remove (int, int) (context_id, message_id)
{
  pointer obj = object;
<c>
  gtk_statusbar_remove (obj, context_id, message_id);
</c>
}

end;
